Package org.apache.felix.http.base.internal.service

## Class HttpServiceRuntimeImpl

- java.lang.Object
- - org.apache.felix.http.base.internal.service.HttpServiceRuntimeImpl

All Implemented Interfaces:
  `org.osgi.service.http.runtime.HttpServiceRuntime`

    public final class HttpServiceRuntimeImpl
    extends Object
    implements org.osgi.service.http.runtime.HttpServiceRuntime

### Constructor Summary

Constructors
`HttpServiceRuntimeImpl​(HandlerRegistry registry, WhiteboardManager contextManager, org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.service.http.runtime.dto.RequestInfoDTO` `calculateRequestInfoDTO​(String path)`
`org.osgi.service.http.runtime.dto.RuntimeDTO` `getRuntimeDTO()`
`org.osgi.framework.ServiceReference<org.osgi.service.http.runtime.HttpServiceRuntime>` `getServiceReference()`
`void` `register​(org.osgi.framework.BundleContext bundleContext)`
`void` `setAllAttributes​(Dictionary<String,​Object> newAttributes)`
`void` `setAttribute​(String name, Object value)`
`void` `unregister()`
`void` `updateChangeCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpServiceRuntimeImpl

    public HttpServiceRuntimeImpl​(HandlerRegistry registry,
                                  WhiteboardManager contextManager,
                                  org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### getRuntimeDTO

    public org.osgi.service.http.runtime.dto.RuntimeDTO getRuntimeDTO()

Specified by:
  `getRuntimeDTO` in interface `org.osgi.service.http.runtime.HttpServiceRuntime`

#### calculateRequestInfoDTO

    public org.osgi.service.http.runtime.dto.RequestInfoDTO calculateRequestInfoDTO​(String path)

Specified by:
  `calculateRequestInfoDTO` in interface `org.osgi.service.http.runtime.HttpServiceRuntime`

#### setAttribute

    public void setAttribute​(String name,
                             Object value)

#### setAllAttributes

    public void setAllAttributes​(Dictionary<String,​Object> newAttributes)

#### register

    public void register​(org.osgi.framework.BundleContext bundleContext)

#### unregister

    public void unregister()

#### getServiceReference

    public org.osgi.framework.ServiceReference<org.osgi.service.http.runtime.HttpServiceRuntime> getServiceReference()

#### updateChangeCount

    public void updateChangeCount()